Package Details: remmina-plugin-ultravnc 1.3.0.0-1

Git Clone URL: https://aur.archlinux.org/remmina-plugin-ultravnc.git (read-only, click to copy)
Package Base: remmina-plugin-ultravnc
Description: A protocol plugin for Remmina to connect via VNC using UltraVNC viewer.
Upstream URL: http://www.muflone.com/remmina-plugin-ultravnc/
Licenses: GPL
Submitter: Muflone
Maintainer: Muflone
Last Packager: Muflone
Votes: 23
Popularity: 0.002847
First Submitted: 2013-05-18 14:18
Last Updated: 2019-12-22 03:09

Latest Comments

Muflone commented on 2019-12-22 03:19

The remmina plugin was updated to work with remmina >= 1.3

hina commented on 2019-11-10 16:47

You can build with following option of PKGBUILD line 28:

CFLAGS="${CFLAGS} -isystem /usr/include/harfbuzz" cmake -DCMAKE_INSTALL_PREFIX=/usr -DREMMINA_VER_1_1=OFF .

https://gitlab.kitware.com/cmake/cmake/issues/19531

camleon commented on 2019-08-01 19:59

Since recently I am unable to install:

/usr/include/pango-1.0/pango/pango-coverage.h:28:10: fatal error: hb.h: No such file or directory 28 | #include <hb.h> | ^~~~~~ compilation terminated. make[2]: [remmina-plugin-to-build/remmina-plugin-ultravnc/CMakeFiles/remmina-plugin-ultravnc.dir/build.make:63: remmina-plugin-to-build/remmina-plugin-ultravnc/CMakeFiles/remmina-plugin-ultravnc.dir/src/remmina_plugin.c.o] Error 1 make[1]: [CMakeFiles/Makefile2:112: remmina-plugin-to-build/remmina-plugin-ultravnc/CMakeFiles/remmina-plugin-ultravnc.dir/all] Error 2 make: *** [Makefile:130: all] Error 2 ==> ERROR: A failure occurred in build(). Aborting... Error making: remmina-plugin-ultravnc

Muflone commented on 2016-10-22 18:44

@ogghi
this package is not out of date.
it was the package ultravnc-viewer that needed an update, so no updates on this package

ainola commented on 2016-09-23 04:30

Hi, the .install file can now be removed as pacman natively handles these updates.

Muflone commented on 2015-11-15 23:13

This package was updated to work with both remmina and remmina-git package.
The actual default configuration is set for remmina 1.1 package (from the community repository). To use this package for remmina-git >= 1.2 the PKGBUILD must be edit with the line:
cmake -DCMAKE_INSTALL_PREFIX=/usr -DREMMINA_VER_1_1=OFF .
(please note the dot at the end of the line)

Muflone commented on 2013-05-24 17:19

Changed build system, now simply uses remmina-plugin-builder instead of fetching the whole remmina source code and applying patches
Removed diff file
Removed zlib dependency
Added hicolor-icon-theme dependency